{% extends "bootstrap/base.html" %}
{% block styles %}
    {{ super() }}
    <link rel="stylesheet" href="{{ url_for('static', filename='home.css') }}">
{% endblock %}
{% block navbar %}
<nav class="navbar navbar-expand-lg navbar-light" style="background-color: #8ab6d8;"">
    <a class="navbar-brand" href="http://127.0.0.1:5000/">🏠</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href="/">Accueil <span class="sr-only">(current)</span></a>
        </li>

        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Catégorie
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="/artists">Artistes</a>
	    <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/albums">Tous les albums</a>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Utilisateur
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="/login/">Compte</a>
        </li>
      </ul>
     </div>

     {% if current_user.is_authenticated %}
    <li><a>{{ current_user.username }}</a></li>
    <li><a href="{{ url_for('logout') }}">
      <svg width="3em" height="3em" viewBox="0 0 16 16" class="bi bi-power" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
        <path fill-rule="evenodd" d="M5.578 4.437a5 5 0 1 0 4.922.044l.5-.866a6 6 0 1 1-5.908-.053l.486.875z"/>
        <path fill-rule="evenodd" d="M7.5 8V1h1v7h-1z"/>
      </svg>
    </a></li>
    {% else %}
    <li><a href="{{ url_for('login') }}">
      <svg width="3em" height="3em" viewBox="0 0 16 16" class="bi bi-person-circle" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
        <path d="M13.468 12.37C12.758 11.226 11.195 10 8 10s-4.757 1.225-5.468 2.37A6.987 6.987 0 0 0 8 15a6.987 6.987 0 0 0 5.468-2.63z"/>
        <path fill-rule="evenodd" d="M8 9a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"/>
        <path fill-rule="evenodd" d="M8 1a7 7 0 1 0 0 14A7 7 0 0 0 8 1zM0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8z"/>
      </svg>
    </a></li>
    {% endif %}

  </nav>

{% endblock %}
    {% block content %}
        <h1>{{ title }}</h1>
        {% block main %} {% endblock %}
    {% endblock %}
